import { OnInit, EventEmitter } from '@angular/core';
/**
 * Card con titulo, subtitulo e icono
 */
export declare class CardsComponent implements OnInit {
    /**
     * Titulo a mostrar en el card
     */
    titulo: string;
    /**
     * Subtitulo a mostrar en el card
     */
    subtitulo: string;
    /**
     * Icono a mostrar en el card
     */
    icono: string;
    /**
     * Clase a aplicar al texto
     */
    classTexto: string;
    /**
     * Enviar el tamaño de columnas y el tamaño del icono
     */
    classIcono: string;
    /**
     * Color del icono a mostrar
     */
    color: string;
    /**
     * Enviar accion de click en el card
     */
    click: EventEmitter<any>;
    /**
     * @ignore
     */
    constructor();
    /**
     * @ignore
     */
    ngOnInit(): void;
    /**
     * Envia un evento si hace click en el card
     * @param $event Caracteristicas del evento click en el card
     */
    clickCard($event: any): void;
}
