import { OnInit, NgZone } from '@angular/core';
import { IOwlcarouselOptions } from './dto/iowlcarousel-options';
/**
 * Componente creado con la finalidad de mostrar un carousel utilizando ngx-own-carousel
 * para ser utilizado necesita estos estilos
 * "./node_modules/jquery/dist/jquery.min.js"
 * "./node_modules/owl.carousel/dist/owl.carousel.min.js"
 * "./node_modules/owl.carousel/dist/assets/owl.theme.green.min.css",
 *
 * se puede evitar eso si se incluye esto al scss principal
 * import "~owl.carousel/dist/assets/owl.carousel.css";
 * import "~owl.carousel/dist/assets/owl.theme.default.css";
 *
 * y este script
 * "./node_modules/jquery/dist/jquery.min.js"
 * "./node_modules/owl.carousel/dist/owl.carousel.min.js"
 */
export declare class CarouselComponent implements OnInit {
    private zone;
    /**
     * Propiedades del carrusel
     */
    owlCarouselOptions: IOwlcarouselOptions;
    /**
     * @ignore
     */
    constructor(zone: NgZone);
    ngOnInit(): void;
    /**
     * Items a mostrar en el carrusel
     */
    setItems(items: number): void;
    /**
     * Si se desea mostrar dots dots
     */
    setDots(value: boolean): void;
    /**
     * Si se muestra la navegacion
     */
    setNav(value: boolean): void;
    /**
     * Si se desea cambiar el texto
     * @param text [' < prev ', ' next > ']
     */
    setNavText(text: string[]): void;
    /**
     * Si se desea cambiar el texto
     * @param text  ['<img src=\'myprevimage.png\'>', '<img src=\'mynextimage.png\'>']
     */
    setNavClass(text: string[]): void;
    /**
     * Set movimiento del carrusel
     */
    setAutoPlay(autoplay: boolean, autoplayTimeout?: number, autoplayHoverPause?: boolean): void;
    /**
     * Autocompletar images
     */
    setLoop(state: boolean): void;
    /**
     * Centrar images
     */
    setCenter(state: boolean): void;
}
